package com.jeeplus.modules.sg.materialmodule.activiti.entity;

import com.jeeplus.core.persistence.ActEntity;
import com.jeeplus.modules.sg.managementcenter.project.entity.BasicInformation;

/**
 * 土建实体类
 * */
public class NonPower extends ActEntity<NonPower> {
    //项目定义号
    private String projectId;
    //项目名称
    private String projectName;
    //储备项目名称
    private String reserveProjectName;
    //项目基础信息
    private BasicInformation basicInformation;
    //建设单位
    private String buildingUnit;
    //工程编号
    private String projectNumber;
    //施工单位
    private String constructionUnit;
    //计划开工时间
    private String plannedStart;
    //计划竣工时间
    private String plannedEnd;
    //实际开工时间
    private  String actualStart;
    //实际竣工时间
    private  String actualEnd;
    //项目负责人
    private String projectManager;
    //线路名称
    private String lineName;
    //施工负责人
    private String personInCharge;
    //工作地点
    private String workPlace;
    //施工土建工程量
    private String constructionCivilWorks;
    //土建开工工程量
    private String civilStartReport;
    //土建竣工工程量
    private String civilEndReport;
    //是否包含土建
    private String engineeringAcceptance;



    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    public BasicInformation getBasicInformation() {
        return basicInformation;
    }

    public void setBasicInformation(BasicInformation basicInformation) {
        this.basicInformation = basicInformation;
    }

    public String getBuildingUnit() {
        return buildingUnit;
    }

    public void setBuildingUnit(String buildingUnit) {
        this.buildingUnit = buildingUnit;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public String getConstructionUnit() {
        return constructionUnit;
    }

    public void setConstructionUnit(String constructionUnit) {
        this.constructionUnit = constructionUnit;
    }

    public String getPlannedStart() {
        return plannedStart;
    }

    public void setPlannedStart(String plannedStart) {
        this.plannedStart = plannedStart;
    }

    public String getPlannedEnd() {
        return plannedEnd;
    }

    public void setPlannedEnd(String plannedEnd) {
        this.plannedEnd = plannedEnd;
    }

    public String getActualStart() {
        return actualStart;
    }

    public void setActualStart(String actualStart) {
        this.actualStart = actualStart;
    }

    public String getActualEnd() {
        return actualEnd;
    }

    public void setActualEnd(String actualEnd) {
        this.actualEnd = actualEnd;
    }

    public String getProjectManager() {
        return projectManager;
    }

    public void setProjectManager(String projectManager) {
        this.projectManager = projectManager;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getPersonInCharge() {
        return personInCharge;
    }

    public void setPersonInCharge(String personInCharge) {
        this.personInCharge = personInCharge;
    }

    public String getWorkPlace() {
        return workPlace;
    }

    public void setWorkPlace(String workPlace) {
        this.workPlace = workPlace;
    }

    public String getConstructionCivilWorks() {
        return constructionCivilWorks;
    }

    public void setConstructionCivilWorks(String constructionCivilWorks) {
        this.constructionCivilWorks = constructionCivilWorks;
    }

    public String getCivilStartReport() {
        return civilStartReport;
    }

    public void setCivilStartReport(String civilStartReport) {
        this.civilStartReport = civilStartReport;
    }

    public String getCivilEndReport() {
        return civilEndReport;
    }

    public void setCivilEndReport(String civilEndReport) {
        this.civilEndReport = civilEndReport;
    }

    public String getEngineeringAcceptance() {
        return engineeringAcceptance;
    }

    public void setEngineeringAcceptance(String engineeringAcceptance) {
        this.engineeringAcceptance = engineeringAcceptance;
    }
}
